# WEB+DB PRESS Vol.91 特集2「はじめてのIoT」第3章「Arduinoによるプロトタイピング」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.91」特集2「はじめてのIoT」第3章「Arduinoによるプロトタイピング」のサンプルコードです。

この README.md ファイルに、markdown 形式でサンプルコードを埋め込んであります。

# Lチカ

```
void setup() {
  pinMode(13, OUTPUT);
}

void loop() {
  digitalWrite(13, HIGH);
  delay(1000);
  digitalWrite(13, LOW);
  delay(1000);
}
```

# 3pinでの Lチカ

```
#define LED_PIN 3

void setup() {
  pinMode(LED_PIN, OUTPUT);
}

void loop() {
  digitalWrite(LED_PIN, HIGH);
  delay(1000);
  digitalWrite(LED_PIN, LOW);
  delay(1000);
}
```

# PWM での loop 関数

```
void loop() {
  int i;
  for (i = 0; i <= 255; i++) {
    analogWrite(LED_PIN, i);
    delay(10);
  }
  for (i = 255; i >= 0; i--) {
    analogWrite(LED_PIN, i);
    delay(10);
  }
}
```

# 光センサーによる明るさ検知

```
void setup() {
  Serial.begin(9600);
}
void loop() {
  int sensorValue = analogRead(A0);
  Serial.println(sensorValue);
  delay(1);
}
```

# INPUT_PULLUP 利用コード

```
void setup() {
  Serial.begin(9600);
  pinMode(A0, INPUT_PULLUP);
}
void loop() {
  Serial.println(digitalRead(A0));
}
```

# シリアルコンソール通信 Arduino スケッチ

```
void setup() {
  Serial.begin(9600);
}

void loop() {
  if (Serial.available()) {
    char c = Serial.read();
    Serial.print(c);
  } else {
    Serial.print(".");
  }
  delay(1000);
}
```

# シリアルコンソール通信 Ruby コード

```
require 'serialport'

sp = SerialPort.new('/dev/cu.usbmodemXXXXX', 9600)
chars = ('a'..'z').to_a

loop do
  # シリアル通信で読み込み
  print sp.getc
  # シリアル通信で書き込み
  sp.write chars.shuffle.first
end
```

