# WEB+DB PRESS Vol.91 特集2「はじめてのIoT」第4章「Raspberry Piによるプロトタイピング」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.91」特集2「はじめてのIoT」第4章「Raspberry Piによるプロトタイピング」です。

Raspberry Pi 2からSensorTagのデータをMeshbluにPublishします。[Meshblu](https://meshblu.readme.io/)は[こちらの手順](https://github.com/IDCFChannel/meshblu-compose)でインストールしてください。

Raspberry Piにログインしてリポジトリを`git clone`したあと、必要なパッケージを`npm install`します。

``` bash
$ git clone \
  https://github.com/masato/meshblu-sensortag.git
$ cd ~/meshblu-sensortag
$ npm install
```

config.jsファイルを作成します。

``` config.js
'use strict';

var config = {
  waitTime: 5000,
  trigger_1_uuid: '{trigger-1デバイスのuuid}',
  trigger_1_token: '{trigger-1デバイスのuuid}',
  action_1_uuid: '{action-1デバイスのuuid}',
  action_1_token: '{action-1デバイスのtoken}',
  ip_address: '{仮想マシンのパブリックIPアドレス}',
  port: 1883,
  threshold: 25.0
}

module.exports = config;
```

デバイス情報は[Meshbluをインストール](https://github.com/IDCFChannel/meshblu-compose)したディレクトリで以下のコマンドを実行して確認します。

```bash
$ docker-compose run --rm iotutil list
```

hciconfigコマンドでBluetoothデバイスを有効にして、root権限でプログラムを実行します。

```bash
$ sudo hciconfig hci0 up
$ sudo node app-pub.js
物体温度: 22.7 ℃
気温    : 27.7 ℃
気圧    : 1008.02 mBa
物体温度: 28.5 ℃
気温    : 27.8 ℃
気圧    : 1008.02 mBa
物体温度が閾値の25 ℃を超えました。
```
